package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0018;
import cn.ibizlab.core.sample.filter.IBIZSample0018SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0018] 服务对象接口
 */
public interface IIBIZSample0018Service extends IService<IBIZSample0018>{

    boolean create(IBIZSample0018 et) ;
    void createBatch(List<IBIZSample0018> list) ;
    boolean update(IBIZSample0018 et) ;
    void updateBatch(List<IBIZSample0018> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBIZSample0018 get(String key) ;
    IBIZSample0018 getDraft(IBIZSample0018 et) ;
    boolean checkKey(IBIZSample0018 et) ;
    boolean save(IBIZSample0018 et) ;
    void saveBatch(List<IBIZSample0018> list) ;
    Page<IBIZSample0018> searchDefault(IBIZSample0018SearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0018> getIbizsample0018ByIds(List<String> ids) ;
    List<IBIZSample0018> getIbizsample0018ByEntities(List<IBIZSample0018> entities) ;
}


